VOIKKOGC(1)

NAME
voikkogc - test program for Voikko grammar checker

SYNOPSIS
voikkogc [options]

DESCRIPTION
voikkogc is a test program for grammar checking functionality in libvoikko, library of language tools. It reads sentences or paragraphs from stdin (one per line) and print the results to stdout. The results are structures containing information about grammar errors found in the input paragraph.

OPTIONS

--tokenize
    Instead of looking for grammar errors, split input into tokens. The tokens are prefixed by type: "W" is a word, "P" is punctuation, "S" is whitespace, "U" is unknown and "E" is a prefix for error messages.

--split-sentences
    Instead of looking for grammar errors, split input into sentences. The sentences are prefixed by type: "B" means that end of sentence is a probably correct, "P" means that end of sentence is a possibly correct (but probably this and the next identified sentence should be joined) and "E" means that sentence ends at the end of input.

-n  Prefix all grammar checker messages with line number of input data.

accept_titles=n

accept_unfinished_paragraphs=n

accept_bulleted_lists=n
    Set the value of the specified boolean option.

explanation_language=langcode
    Print human readable error explanation in the specified language.

BUGS
Human readable error explanations are printed in UTF-8 regardless of current locale settings.

SEE ALSO
voikkospell for common options of different Voikko test tools.

AUTHOR
voikkogc and this manual page were written by Harri Pitkänen (hatapitk@iki.fi).